
CREATE TABLE `sites` (
	`id`	VARCHAR(40),
	`name`	 VARCHAR(255),
	`date_update`	TEXT,
	`delete`	 tinyint(1),
	`enabled`	 tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `categories` (
	`id`	VARCHAR(40),
	`name` VARCHAR(255),
	`date_update`	DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `copies` (
	`id`	VARCHAR(40),
	`reference_id`	VARCHAR(40),
	`bar_code`	VARCHAR(40),
	`site_id`	VARCHAR(40),
	`status_id`	INTEGER,
	`created_by`	INTEGER,
	`created_at`	DATETIME,
	`updated_by`	INTEGER,
	`updated_at`	DATETIME,
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `loaning_checks` (
	`id`	VARCHAR(40),
	`loaning_id`	VARCHAR(40),
	`number`	INTEGER,
	`returned`	tinyint(1),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `loanings` (
	`id` VARCHAR(40),
	`beneficiary_id`	INTEGER,
	`start_date`	DATETIME,
	`end_date`	DATETIME,
	`return_date`	DATETIME,
	`copy_id`	VARCHAR(40),
	`created_by`	INTEGER,
	`created_at` DATETIME,
	`updated_by`	INTEGER,
	`updated_at` DATETIME,
	`comment`	TEXT,
	`duration_number`	INTEGER,
	`duration_price`	NUMERIC,
	`delay_reason_id`	VARCHAR(40),
	`delay_comment`	TEXT,
	`date_update` DATETIME,
	`delete`	tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `mediums` (
	`id` VARCHAR(40),
	`name`	VARCHAR(255),
	`code`	VARCHAR(40),
	`enabled`	tinyint(1),
	`duration_type_id`	VARCHAR(40),
	`created_by`	INTEGER,
	`created_at` DATETIME,
	`updated_by`	INTEGER,
	`updated_at` DATETIME,
	`accounting_code`	INTEGER,
	`duration`	INTEGER,
	`start_day`	tinyint(1),
	`end_day`	tinyint(1),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `reasons_delay` (
	`id` VARCHAR(40),
	`name` VARCHAR(255),
	`code_reason`	VARCHAR(40),
	`enabled`	tinyint(1),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `reference_tags` (
	`reference_id`	VARCHAR(40),
	`tag_id`	VARCHAR(40),
	`value`	TEXT,
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(reference_id,tag_id)
);
CREATE TABLE `tags` (
	`id` VARCHAR(40),
	`name` VARCHAR(255),
	`mode_id`	VARCHAR(40),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `references` (
	`id` VARCHAR(40),
	`name` VARCHAR(255),
	`description`	TEXT,
	`reference`	VARCHAR(40),
	`image`	BLOB,
	`created_at` DATETIME,
	`created_by`	INTEGER,
	`updated_at` DATETIME,
	`updated_by`	INTEGER,
	`price`	REAL,
	`medium_id`	VARCHAR(40),
	`type`	VARCHAR(25),
	`linked_reference_id`	VARCHAR(40),
	`category_id`	VARCHAR(40),
	`check_enabled`	INTEGER,
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `sales` (
	`id` VARCHAR(40),
	`beneficiary_id`	INTEGER,
	`date`	DATETIME,
	`copy_id`	VARCHAR(40),
	`created_by`	INTEGER,
	`created_at` DATETIME,
	`updated_by`	INTEGER,
	`updated_at` DATETIME,
	`comment`	TEXT,
	`price`	NUMERIC,
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `profile_rights` (
	`profile_id`	VARCHAR(40),
	`right_id`	VARCHAR(40),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(profile_id,right_id)
);
CREATE TABLE `group_rights` (
	`id`	VARCHAR(40),
	`name` VARCHAR(255),
	`code`	VARCHAR(40),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);
CREATE TABLE `rights` (
	`id`	VARCHAR(40),
	`name` VARCHAR(255),
	`code`	VARCHAR(75),
	`group_code`	VARCHAR(40),
	`date_update` DATETIME,
	`delete` tinyint(1),
	PRIMARY KEY(id)
);